Retrieves all the contacts
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "92f154b9-3e51-4a40-8e09-322b00c0abf2",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "3e0a0764-b5c6-4022-b2ac-93dff1c712b3",
"company_code": "sample string 5",
"company": {
"id": "a75aefc3-acb8-4146-8272-cc05b22e6b25",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-05-02T16:29:47.2992716+00:00",
"sales_territory_id": "44aea278-296f-4cb1-8184-750b38ae0f6c",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "fc6c5de2-8633-4fb1-9d0e-e1374e82a39b",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "daf7a59b-38e0-4af9-8c47-ec34cc23568c",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "13d68720-969e-4c7d-8c8a-6ac4a30ab55c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "7ef5831f-6108-42e9-815f-9859cdade7ec",
"db_currency_id": "c8be5613-922b-4699-b5be-694ee362f984",
"db_language_id": "8f5d9a7f-9764-414c-aac4-f1a9968b5628",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-05-02T16:29:47.3148938+00:00"
},
"modified_dateutc": "2026-05-02T16:29:47.3148938+00:00"
},
"marketing_segment_id": "01ada479-900f-4b27-8dc9-c64326f9d7dd",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "46a0d3e6-44c5-4e48-909a-8349f2a65aee",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "63555b1d-d699-4495-a8b4-00941d4dc289",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "cc45f8cc-c37c-4605-bd0e-f75b4005c800",
"db_country_code": "sample string 28",
"feelist_id": "ec9abe3e-32c5-4097-b11b-903cdbf05b00",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "3980ebe5-1028-447f-bf2c-b4c0566eb8bd",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "3a699952-e0c9-447b-a7dd-7d42acc01726",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-05-02T16:29:47.3148938+00:00",
"db_currency_id": "00d0cc10-33ac-42e3-93b0-85c43b033774",
"db_currency_code": "sample string 10"
},
"company_type_id": "eba33cfd-e87a-4c38-a0e6-090fc0837da2",
"company_type_name": "sample string 32",
"company_type": {
"id": "d970e4fd-3e2e-4b91-8daa-9afa1e83c670",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "727202f9-8b89-4c7a-b99b-dd31ca5a9e8e",
"sales_organization_code": "sample string 5"
},
"db_language_id": "e5a2f358-d1c9-4ee4-8214-a61753b707f1",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "7b5a7226-8bfe-4cf3-ba3d-41fd65a702ee",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "1f81fe2f-554d-4f80-ba53-dc783a91ada7",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "a8d15c59-c282-44aa-af74-7d5f8841f8fd",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-05-02T16:29:47.3148938+00:00"
},
"company_sector_id": "f458e06b-3c9d-4fc0-a611-2dcd33b93457",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "3c0d01ab-fc92-463a-816b-d083199e1969",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "d9aab3da-97ec-4ba1-b2a9-3d48021c5253",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "85cc2043-1db1-40bf-89e5-bc225a989d15",
"account_manager_user_code": "sample string 56",
"company_status_id": "329e2ea6-39b6-4df4-8c78-a1a329eb3cc9",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-05-02T16:29:47.3148938+00:00",
"id2": 60
},
"db_language_id": "fd8902bd-8327-4e5f-afeb-e3d5873fb066",
"db_language_code": "sample string 7",
"db_title_id": "5ee18b36-9e1a-4f40-a396-6f75ef528e98",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-05-02T16:29:47.3148938+00:00",
"create_date": "2026-05-02T16:29:47.3148938+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-05-02T16:29:47.3148938+00:00"
}